unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Edit4: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var djahre, alter, kinder: integer;
    wgeld, azuschlag,kzuschlag,ergebnis: real;
begin
//----------------Einlesen der Werte in Variablen-------------------------------//
djahre:=strtoint(edit1.text);
alter:=strtoint(edit2.text);
kinder:=strtoint(edit3.text);

//--------------- Berechnen der Höhe des Weihnachtsgeldes ----------------------//
if djahre < 1 then wgeld:=50;                                // Wichtig: Keine Lücken lassen!
if (djahre >=1) and (djahre<6) then wgeld:=30*djahre;        // Für jede mögliche Eingabe muss eine
if (djahre>=6) and (djahre<=10) then wgeld:=30*djahre + 100; // Rechenanweisung vorliegen!
if djahre>10 then wgeld:=30*djahre + 150;

//-------------- Errechnen des Alters- und Kinderzuschlags ----------------------//
if djahre >=1 then // Bedingung für alle Zuschläge:Mindestens 1 Jahr gearbeitet!
  begin
  if alter >50 then azuschlag:=50 else azuschlag:=0;
  kzuschlag:=kinder*25;
  end ;
  //else kzuschlag:=0;

//---------------Errechnen des Gesamtweihnachtsgeldes---------------------------//
ergebnis:=wgeld+kzuschlag+azuschlag;

//---------------Ausgeben des Endbetrages---------------------------------------//
edit4.text:=floattostr(ergebnis);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
edit1.clear;
edit2.clear;
edit3.clear;
edit4.clear;
edit1.setfocus;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
close;
end;

end.
